if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/share/icons/hicolor/128x128/apps ; rm -rf slimjet.png )
( cd usr/share/icons/hicolor/128x128/apps ; ln -sf /opt/slimjet/product_logo_128.png slimjet.png )
( cd usr/share/icons/hicolor/48x48/apps ; rm -rf slimjet.png )
( cd usr/share/icons/hicolor/48x48/apps ; ln -sf /opt/slimjet/product_logo_48.png slimjet.png )
( cd usr/bin ; rm -rf flashpeak-slimjet )
( cd usr/bin ; ln -sf /opt/slimjet/flashpeak-slimjet flashpeak-slimjet )
